export declare const isSafari: () => boolean;
export declare const getStyle: (e: Element) => CSSStyleDeclaration;
export declare const hasPercentageUnit: (widthOrHeight: React.CSSProperties["width"] | React.CSSProperties["height"]) => boolean;
export declare const getVerticalPadding: (style: CSSStyleDeclaration) => number;
export declare const getHorizontalPadding: (style: CSSStyleDeclaration) => number;
export declare const getPointedElement: (textarea: HTMLElement, backdrop: HTMLElement, e: MouseEvent) => HTMLElement | null;
export declare const dispatchClonedMouseEvent: (pointed: HTMLElement, e: MouseEvent) => void;
export declare const dispatchMouseMoveEvent: (pointed: HTMLElement | null, prevPointed: HTMLElement | null, e: MouseEvent) => void;
export declare const dispatchMouseOutEvent: (prevPointed: HTMLElement | null, e: MouseEvent) => void;
export declare const stopPropagation: (event: React.MouseEvent) => void;
export declare const syncBackdropStyle: (textarea: HTMLElement, backdrop: HTMLElement, caretColorRef: React.MutableRefObject<string>, style?: React.CSSProperties) => void;
export declare const setEventListener: <K extends keyof HTMLElementEventMap>(el: HTMLElement, key: K, cb: (this: HTMLElement, ev: HTMLElementEventMap[K]) => void) => () => void;
